com.intellectualcrafters.plot.object

## Class PlotGenerator

- java.lang.Object
- - org.bukkit.generator.ChunkGenerator
  - - com.intellectualcrafters.plot.object.PlotGenerator

- Direct Known Subclasses:
    WorldGenerator

      public abstract class PlotGenerator
      extends org.bukkit.generator.ChunkGenerator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.generator.ChunkGenerator

      `org.bukkit.generator.ChunkGenerator.BiomeGrid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotGenerator(java.lang.String world)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract PlotWorld` | `getNewPlotWorld(java.lang.String world)`
    `abstract PlotManager` | `getPlotManager()`

    - ### Methods inherited from class org.bukkit.generator.ChunkGenerator

      `canSpawn, generate, generateBlockSections, generateExtBlockSections, getDefaultPopulators, getFixedSpawnLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotGenerator

          public PlotGenerator(java.lang.String world)

  - ### Method Detail

    - #### getNewPlotWorld

          public abstract PlotWorld getNewPlotWorld(java.lang.String world)

    - #### getPlotManager

          public abstract PlotManager getPlotManager()